Ticket #3651 (closed enhancement: fixed)

Opened 8 years ago

Last modified 8 years ago

管理画面からのポイントクリア機能

Reported by: nakasone Assigned to: nakasone
Priority: minor Milestone: OpenPNE2.13.6
Component: pne-admin Version:
Keywords: Cc:

Description (Last modified by nakasone)

■概要

管理画面の「ポイント・ランク設定」からポイントをまとめて初期化できる機能を追加。

■仕様

管理画面→「ポイント・ランク設定」の「ポイントクリア機能」で初期ポイントを入力して変更を押下→メンバー全員のポイントが入力した値に変更される

■関連情報

http://sns.openpne.jp/?m=pc&a=page_c_topic_detail&target_c_commu_topic_id=4353

新機能を作る会よりtoranekoさんに提供していただいたコードの取り込み

Change History

(in reply to: ↑ description ) 02/19/09 15:55:06 changed by nakasone

  • description changed.

Replying to nakasone:

=== ■概要 === 管理画面の「ポイント・ランク設定」からポイントをまとめて初期化できる機能を追加。 === ■仕様 === 管理画面→「ポイント・ランク設定」の「ポイントクリア機能」で初期ポイントを入力して変更を押下→メンバー全員のポイントが入力した値に変更される === ■関連情報 === http://sns.openpne.jp/?m=pc&a=page_c_topic_detail&target_c_commu_topic_id=4353

02/19/09 15:55:52 changed by nakasone

  • owner changed from nobody to nakasone.
  • status changed from new to assigned.

取り込みを行います。

02/19/09 16:23:04 changed by nakasone

以下のリビジョンでtrunkに取り込みました。

02/19/09 16:34:52 changed by nakasone

追加し忘れていたものを以下のリビジョンで追加しました。

02/20/09 15:00:20 changed by kiwa

  • keywords set to 確認中.

取り込み済みのようなので「確認中」にします。

02/25/09 16:35:25 changed by kiwa

r10867 でポイント・ランク機能が無効の場合にポイントクリアの処理を実行しないようにしました。

(follow-up: ↓ 8 ) 02/25/09 20:36:26 changed by kawahara

  • keywords changed from 確認中 to 差し戻し.

初期ポイントがセットされない場合があります。

手順

  1. ポイント機能が無効の状態で入会
  2. そのメンバーがポイント増減なしの状態で初期ポイント設定
  3. ポイント機能が無能の状態で入会したメンバーは初期ポイントがセットされない

原因としてc_member_profileに、ポイント情報が記録されたレコードが登録されていないメンバーに関しては初期ポイントがセットされないようです。

また、これは動作には全く支障はありませんがdb_admin.phpは

function db_admin_update_c_point_clear($value)
{
    $sql = 'SELECT c_profile_id FROM c_profile where name = \'PNE_POINT\'';'; 
    $c_profile_id =  db_get_one($sql);

となっていますが、

function db_admin_update_c_point_clear($value)
{
    $sql = 'SELECT c_profile_id FROM c_profile where name = ?';
    $params = array('PNE_POINT');
    $c_profile_id =  db_get_one($sql, $params);

のほうが良いと思います。

(in reply to: ↑ 7 ) 02/26/09 14:15:03 changed by kiwa

  • keywords changed from 差し戻し to 確認中.

Replying to kawahara: r10874にてdb_adminに対する指摘を反映させました。

また、初期ポイントがセットされない現象に関しては別チケットを作成しました。

  • #3670: ポイントがセットされていないメンバーにポイントクリアが反映されない

02/26/09 14:36:36 changed by kawahara

  • keywords changed from 確認中 to テスト待ち.

02/26/09 23:39:23 changed by kiwa

  • keywords deleted.
  • status changed from assigned to closed.
  • resolution set to fixed.